$mode = $args[0]
if (!$mode) { $mode = "specialize" }

$env:postinst_script = $PSCommandPath
$env:postinst_dir = $PSScriptRoot
$env:script_dir = "${PSScriptRoot}\${mode}"
$env:var_dir = "${env:SystemDrive}\opsi.org"
$env:drv_dir = "${env:var_dir}\drv"
$env:tmp_dir = "${env:var_dir}\tmp"
$env:log_dir = "${env:var_dir}\log"
$env:data_dir = "${env:var_dir}\data"
$env:log_file = "${env:log_dir}\postinst_${mode}.log"

New-Item -ItemType Directory -Force -Path $env:log_dir | Out-Null

$date = Get-Date -Format "yyyy-MM-dd HH:mm:ss"
Write-Output "[${date}] Postinst.ps1 starting in mode ${mode}" > $env:log_file

Get-ChildItem $env:script_dir | Where {$_.extension -in ".ps1", ".cmd"} | Sort | Foreach-Object {
	$date = Get-Date -Format "yyyy-MM-dd HH:mm:ss"
	$script = $_.FullName
	Write-Output "[${date}] Executing ${script}" >> $env:log_file
	& $script 2>&1 >> $env:log_file
}
